from passlib.context import CryptContext
from passlib.exc import UnknownHashError

password_context = CryptContext(schemes=["bcrypt"], deprecated="auto")


def get_hashed_password(password: str):
    return password_context.hash(password)


def verify_password(password: str, hashed_pass: str):
    try:
        return password_context.verify(password, hashed_pass)
    except UnknownHashError:
        return False
